TextHandler (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.handler
Class TextHandler

    java.lang.Object
      edu.harvard.hul.ois.jhove.HandlerBase
          edu.harvard.hul.ois.jhove.handler.TextHandler

All Implemented Interfaces:
  OutputHandler

    public class TextHandler

extends HandlerBase

OutputHandler for plain text output.

Nested Class Summary

Nested classes/interfaces inherited from class edu.harvard.hul.ois.jhove.HandlerBase
`HandlerBase.SynchronizedDateFormat`

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.HandlerBase
`_app, _base, _date, _defaultParams, _encoding, _init, _je, _level, _logger, _name, _note, _param, _release, _rights, _specification, _vendor, _writer, date, dateTime, iso8601`

Constructor Summary
`TextHandler()` Creates a TextHandler.

Method Summary
`void` | `show()` Outputs minimal information about the application
`void` | `show(App app)` Outputs detailed information about the application, including configuration, available modules and handlers, etc.
`void` | `show(Module module)` Outputs information about a Module
`void` | `show(OutputHandler handler)` Outputs information about the OutputHandler specified in the parameter
`void` | `show(RepInfo info)` Outputs the information contained in a RepInfo object
`void` | `showFooter()` Do the final output.
`void` | `showHeader()` Do the initial output.
`protected void` | `showNisoImageMetadata(NisoImageMetadata niso, java.lang.String margin, boolean rawOutput)` Display the NISO image metadata formatted according to the MIX schema.

Methods inherited from class edu.harvard.hul.ois.jhove.HandlerBase
`analyze, applyDefaultParams, close, doctype, doctype, doubleArray, element, element, element, element, elementEnd, elementStart, elementStart, endDirectory, getDate, getEncoding, getIndent, getName, getNote, getRelease, getRights, getSpecification, getVendor, init, integerArray, integerArray, longArray, okToProcess, param, rationalArray, rationalArray10, reset, resetParams, setApp, setBase, setDefaultParams, setEncoding, setWriter, startDirectory, toDateTime, xmlDecl, xmlDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextHandler

    public TextHandler()

  Creates a TextHandler.

Method Detail

### show

    public void show()

  Outputs minimal information about the application

  Specified by:
    `show` in interface `OutputHandler`
  Specified by:
    `show` in class `HandlerBase`

### show

    public void show(App app)

  Outputs detailed information about the application, including configuration, available modules and handlers, etc.

  Specified by:
    `show` in interface `OutputHandler`
  Specified by:
    `show` in class `HandlerBase`

### show

    public void show(OutputHandler handler)

  Outputs information about the OutputHandler specified in the parameter

  Specified by:
    `show` in interface `OutputHandler`
  Specified by:
    `show` in class `HandlerBase`

### show

    public void show(Module module)

  Outputs information about a Module

  Specified by:
    `show` in interface `OutputHandler`
  Specified by:
    `show` in class `HandlerBase`

### show

    public void show(RepInfo info)

  Outputs the information contained in a RepInfo object

  Specified by:
    `show` in interface `OutputHandler`
  Specified by:
    `show` in class `HandlerBase`

### showFooter

    public void showFooter()

  Do the final output. This should be in a suitable format for including multiple files between the header and the footer.

  Specified by:
    `showFooter` in interface `OutputHandler`
  Specified by:
    `showFooter` in class `HandlerBase`

### showHeader

    public void showHeader()

  Do the initial output. This should be in a suitable format for including multiple files between the header and the footer.

  Specified by:
    `showHeader` in interface `OutputHandler`
  Specified by:
    `showHeader` in class `HandlerBase`

### showNisoImageMetadata

    protected void showNisoImageMetadata(NisoImageMetadata niso,
                                         java.lang.String margin,
                                         boolean rawOutput)

  Display the NISO image metadata formatted according to the MIX schema. The schema which is used may be 0.2 or 1.0, depending on the module parameters.

  Parameters:
    `niso` - NISO image metadata

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD